Agent Governance Protocol
API ReferenceRegistry APITasks

Get task

GET
/agp/tasks/{taskId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Path Parameters

taskId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agp/tasks/string"
{  "task_id": "string",  "principal_id": "string",  "requested_outcome": "string",  "risk_tier": "low",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "sponsoring_entity": "string",  "status": "CREATED",  "liability_binding_ref": "string",  "capability_token_ref": "string",  "governance_requirements": {    "required_roles": [      "executive"    ],    "quorum": 1  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}